GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
cleanup_check.Cleanup Class Reference
Inheritance diagram for cleanup_check.Cleanup:

## Public Member Functions
def | __init__ (self, var, location)

## Public Attributes
| var
| location

## Detailed Description

Definition at line 70 of file cleanup_check.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def cleanup_check.Cleanup.__init__ | ( |  | self,
|  |  | var,
|  |  | location
| ) |  |

Definition at line 71 of file cleanup_check.py.

## Member Data Documentation

## ◆ location

cleanup_check.Cleanup.location

Definition at line 73 of file cleanup_check.py.

Referenced by exsummary.Function.consistency_check(), exsummary.Function.log(), exsummary.Function.print_stack(), and exsummary.Function.set_location().

## ◆ var

cleanup_check.Cleanup.var

Definition at line 72 of file cleanup_check.py.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/contrib/cleanup_check.py